local spam_chat = false		--	true/false
local public = false		--	true/false
local debug_ids = false		--	true/false
local dialog_ids = {
--main
	["play_loc_deep_50"] = {enable = true, msg = "L1", color = Color("00fcfc")},
	["play_loc_deep_51"] = {enable = true, msg = "L2", color = Color("00fcfc")},
	["play_loc_deep_52"] = {enable = true, msg = "L3", color = Color("00fcfc")},
	["play_loc_deep_53"] = {enable = true, msg = "L4", color = Color("00fcfc")},
	["play_loc_deep_46"] = {enable = true, msg = "H1", color = Color("00fcfc")},
	["play_loc_deep_47"] = {enable = true, msg = "H2", color = Color("00fcfc")},
	["play_loc_deep_48"] = {enable = true, msg = "H3", color = Color("00fcfc")},
	["play_loc_deep_49"] = {enable = true, msg = "H4", color = Color("00fcfc")},
--reminders
	["play_loc_deep_58"] = {enable = true, msg = "L1", color = Color("00fcfc")},
	["play_loc_deep_59"] = {enable = true, msg = "L2", color = Color("00fcfc")},
	["play_loc_deep_60"] = {enable = true, msg = "L3", color = Color("00fcfc")},
	["play_loc_deep_61"] = {enable = true, msg = "L4", color = Color("00fcfc")},
	["play_loc_deep_54"] = {enable = true, msg = "H1", color = Color("00fcfc")},
	["play_loc_deep_55"] = {enable = true, msg = "H2", color = Color("00fcfc")},
	["play_loc_deep_56"] = {enable = true, msg = "H3", color = Color("00fcfc")},
	["play_loc_deep_57"] = {enable = true, msg = "H4", color = Color("00fcfc")},
}
 
local queue_dialog_original = DialogManager.queue_dialog
function DialogManager:queue_dialog(id, ...)
	local result = queue_dialog_original(self, id, ...)
	local level_id = managers.job and managers.job:current_level_id() == "deep"
	
	if level_id and managers.chat and type(id) == "string" then
		if result and debug_ids then
			managers.chat:_receive_message(1, "Debug", id, tweak_data.system_chat_color)
		end
		
		for k, v in pairs(dialog_ids) do
			if id:lower():match(k) and v.enable then
				local msg_format = string.format("Rotate valve %s", v.msg)
				
				if not spam_chat then
					dialog_ids[k].enable = false
				end
 
				if public then
					managers.chat:send_message(1, managers.network.account:username(), msg_format)
				else
					managers.chat:_receive_message(1, "Helper", msg_format, v.color)
				end
				break
			end
		end
	end
	return result
end